import dashjs from "dashjs";
import Hls from "hls.js";
export declare class VideoPlayer {
    private source;
    private video;
    private videoContainer;
    private hlsInstance;
    private dashInstance;
    private qualityLevels;
    constructor(source: string);
    getSource(): string;
    getVideo(): HTMLVideoElement | null;
    getHlsInstance(): Hls | null;
    getDashInstance(): dashjs.MediaPlayerClass | null;
    getVideoContainer(): HTMLDivElement | null;
    getQualityLevels(): Array<{
        bitrate: number;
        height?: number;
        width?: number;
    }> | null;
    setVideoSource(source: string): void;
    setVideo(video: HTMLVideoElement): void;
    setVideoContainer(videoContainer: HTMLDivElement): void;
    private isHls;
    private isDash;
    private isMp4;
    private loadHls;
    private loadDash;
}
